package com.unipi.talepis;

public class StudentBuilderP {
    private final String am; //required
    private final String email; //required
    private final String name; //optional
    private final int etos_eggrafis; //optional
    private final String telephone; //optional
    private final boolean undergraduate; //optional
    public StudentBuilderP(Builder builder){
        this.am = builder.am;
        this.email = builder.email;
        this.name = builder.name;
        this.etos_eggrafis = builder.etos_eggrafis;
        this.telephone = builder.telephone;
        this.undergraduate = builder.undergraduate;
    }
    public static class Builder{
        private final String am; //required
        private final String email; //required
        private String name; //optional
        private int etos_eggrafis; //optional
        private String telephone; //optional
        private boolean undergraduate; //optional

        public Builder(String am, String email) {
            this.am = am;
            this.email = email;
        }
        public Builder name(String name){
            this.name = name;
            return this;
        }
        public Builder etos_eggrafis(int etos_eggrafis){
            this.etos_eggrafis = etos_eggrafis;
            return this;
        }
        public Builder telephone(String telephone){
            this.telephone = telephone;
            return this;
        }
        public Builder undergraduate(boolean undergraduate){
            this.undergraduate = undergraduate;
            return this;
        }
        public StudentBuilderP build(){
            return new StudentBuilderP(this);
        }
    }
}
